From 6dd7f3010b360f655691b9f167963dd13ccca8d6 Mon Sep 17 00:00:00 2001
From: Dmitry Poroh <poroh1981@yandex.ru>
Date: Fri, 28 Jun 2019 11:30:09 +0300
Subject: [PATCH 54/73] Infinite cycle fixed on try to change run queue (if it
 has already changed concurrently)

---
 erts/emulator/beam/erl_process.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/erts/emulator/beam/erl_process.h b/erts/emulator/beam/erl_process.h
index a60e117babd..1b296320967 100644
--- a/erts/emulator/beam/erl_process.h
+++ b/erts/emulator/beam/erl_process.h
@@ -2346,6 +2346,8 @@ erts_try_change_runq_proc(Process *p, ErtsRunQueue *rq)
                                             old_rqint);
         if (act_rqint == old_rqint)
             return !0;
+
+        old_rqint = act_rqint;
     }
 }
 

